package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopAddressRemoteController;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateAddressDto;
import edu.travel.remote.vo.ShopAddressVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
public class ShopAddressAdapter {
    @Autowired
    private ShopAddressRemoteController shopAddressRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<Page<ShopAddressVo>> getShopAddress(BaseDto dto) {
        return shopAddressRemoteController.getShopAddress(dto);
    }

    /**
     *  新增或编辑地址
     * @param param
     * @return {@link BaseResponse }<{@link Void }>
     */
    @AdapterAnnotation
    public RPCBaseResponse<Boolean> updateAddressById(UpdateAddressDto param) {
        return shopAddressRemoteController.updateAddressById(param);
    }
}
