package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopParametersRemoteController;
import edu.travel.remote.dto.ParametersDto;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ParametersVo;
import edu.travel.remote.vo.ShopParametersVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

import static edu.travel.rpc.RPCBaseResponse.success;

@Component
public class ShopParametersAdapter {
    @Autowired
    private ShopParametersRemoteController shopParametersRemoteController;


    /**
     *  获取商品参数
     * @param param
     * @return {@link BaseResponse }<{@link Page }<{@link ShopParametersVo }>>
     */
    @AdapterAnnotation
    public RPCBaseResponse<Page<ShopParametersVo>> getShopParameters(ProductSpecDto param){
        return shopParametersRemoteController.getShopParameters(param);
    }
    /**
     * 获取参数
     */
    @AdapterAnnotation
    public RPCBaseResponse<Page<ParametersVo>> getAllParameters(ParametersDto param){
        return shopParametersRemoteController.getAllParameters(param);
    }
}
