package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopSearchRecordsRemoteController;
import edu.travel.remote.dto.SearchRecordListDto;
import edu.travel.remote.vo.SearchRecordsVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ShopSearchRecordsAdapter {
    @Autowired
    private ShopSearchRecordsRemoteController shopSearchRecordsRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse<Void> clearProjectSearchRecords(SearchRecordListDto clear){
        return shopSearchRecordsRemoteController.clearProjectSearchRecords(clear);
    }

    @AdapterAnnotation
    public RPCBaseResponse<Page<SearchRecordsVo>> searchRecordList(SearchRecordListDto baseDto){
        return shopSearchRecordsRemoteController.searchRecordList(baseDto);
    }

}
