package edu.travel.adapter.service.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopSpecRemoteController;
import edu.travel.remote.dto.SpecDto;
import edu.travel.remote.vo.SpecVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ShopSpecAdapter {
    @Autowired
    private ShopSpecRemoteController shopSpecRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<Page<SpecVo>> getShopSpec(Long countryId,Integer currentPage,Integer pageSize){
        return shopSpecRemoteController.getShopSpec(countryId,currentPage,pageSize);
    }

    /**
     *  修改/新增规格
     * @return {@link RPCBaseResponse }<{@link Page }<{@link SpecVo }>>
     */

    @AdapterAnnotation
    public RPCBaseResponse<Page<SpecVo>> insertOrUpdate(SpecDto specDto){
        return shopSpecRemoteController.insertOrUpdate(specDto);
    }
}
