package edu.travel.controller;

import edu.travel.adapter.service.commodity.ShopProductSpecAdapter;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ProductSpecVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * 商品规格表(shop_product_spec)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopProductSpec")
public class ShopProductSpecController {
    @Autowired
    private ShopProductSpecAdapter shopProductSpecAdapter;

    /**
     * 查询商品详情
     * @param param
     * @return {@link BaseResponse }<{@link List }<{@link ProductSpecVo }>>
     */
    @GetMapping("/getShopSpec")
    public RPCBaseResponse<ProductSpecVo> getShopSpec(ProductSpecDto param){
        return shopProductSpecAdapter.getShopSpec(param);
    }
}
