package edu.travel.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.adapter.service.commodity.ShopShoppingCartAdapter;
import edu.travel.remote.dto.AddShopCartDto;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateShopCarDto;
import edu.travel.remote.vo.ShopCartListVo;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Set;

/**
 * 购物车表(shop_shopping_cart)表控制层
 *
 * @author xxxxx
 */
@RestController
@RequestMapping("/shopShoppingCart")
public class ShopShoppingCartController {
    @Autowired
    private ShopShoppingCartAdapter shopShoppingCartAdapter;


    /**
     *  新增购物车
     * @param params
     * @return {@link BaseResponse }<{@link Boolean }>
     */
    @PostMapping("/addShopCart")
    public RPCBaseResponse<Boolean> addShopCart(@RequestBody AddShopCartDto params) {
        return shopShoppingCartAdapter.addShopCart(params);
    }

    /**
     * 分页查询购物车列表
     * @param params
     * @return {@link BaseResponse }<{@link Page }<{@link ShopCartListVo }>>
     */

    @GetMapping("/getShopCartList")
    public RPCBaseResponse<Page<ShopCartListVo>> getShopCartList(BaseDto params) {
        return shopShoppingCartAdapter.getShopCartList(params);
    }

    /**
     * 修改购物车信息
     * @param params
     * @return {@link BaseResponse }<{@link Page }<{@link ShopCartListVo }>>
     */

    @PostMapping("/updateCart")
    public RPCBaseResponse<Boolean> updateCart(@RequestBody UpdateShopCarDto params) {
        return shopShoppingCartAdapter.updateCart(params);
    }
    /**
     * 删除购物车
     * @param ids
     * @return {@link BaseResponse }<{@link Page }<{@link ShopCartListVo }>>
     */

    @PostMapping("/delCart")
    public RPCBaseResponse<Integer> delCart(@RequestBody Set<String> ids) {
        return shopShoppingCartAdapter.delCart(ids);
    }
}
