package edu.travel.remote.base;

import edu.travel.rpc.RPCBaseResponse;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

public interface RemoteBaseController<V,D> {
    @GetMapping("/getFormId")
    public RPCBaseResponse<V> getFormId(@RequestParam("id") String id);
    @PostMapping("/updateFormId")
    public RPCBaseResponse<V> updateTargetFormId(@RequestBody D entity);
    @PostMapping("/saveForm")
    public RPCBaseResponse<V> saveFormTarget(@RequestBody D entity);
    @PostMapping("/deleteFormId")
    public RPCBaseResponse<V> deleteTargetFormId(@RequestBody List<String> ids);
    @GetMapping("/listForm")
    public RPCBaseResponse<List<V>> getAllForm();

}
