package edu.travel.remote.vo;

import edu.travel.entity.BaseEntity;
import lombok.Data;
import java.util.List;
import java.util.Map;

/**
 * 商品类型
 */
@Data

public class ShopCategoryVo extends BaseEntity {
    /**
     * 商品类型ID
     */
    private Long id;

    /**
     * 父级分类ID(0表示顶级分类)
     */
    private Long parentId;

    /**
     * 国家ID
     */
    private String countryId;

    /**
     * 热度值
     */
    private Integer heatValue;

    /**
     * 仓库ID
     */
    private Long warehouseId;

    /**
     * 分类名称
     */
    private String typeName;

    /**
     * 分类图标/封面图
     */
    private String imageUrl;

    /**
     * 排序权重（数值越大越靠前）
     */
    private Integer sortOrder;

    /**
     * 是否启用 0 是 1否
     */
    private Integer enable;
    /**
     * 子类
     */
    private List<ShopCategoryVo> children;
    /**
     * map
     */
    private Map<String,Object> map;
}