package edu.travel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.po.PagePO;
import lombok.Data;

import java.util.Date;

/**
 * 语言表
 */
@Data

public class ShopLanguageDto extends PagePO {
    /**
     * id
     */

    private String id;

    /**
     * 中文语言名
     */

    private String languageNameZh;

    /**
     * 英文语言名
     */

    private String languageNameEn;

    /**
     * 当地语言名
     */

    private String languageNameLocal;

    /**
     * web前端状态 0未完成 1完成
     */

    private Integer webStatus;

    /**
     * 移动端状态 0未完成 1完成
     */

    private Integer mobileStatus;

    /**
     * web后端状态 0未完成 1完成
     */

    private Integer webBackendStatus;

    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 创建人
     */

    private String createUserId;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 更新人id
     */

    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    private Integer deleteFlag;
    /**
     * 项目标识
     */
    private String project;
}