package edu.travel.remote;

import edu.travel.dto.BaseCountryServeDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.BaseCountryServeVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
@FeignClient(path = "/baseCountryServe",name = "country-dev")
public interface BaseCountryServeRemoteController extends RemoteBaseController<BaseCountryServeVo, BaseCountryServeDto> {
    //服务国家树
    @GetMapping("/getCountryServeTree")
    public RPCBaseResponse<List<BaseCountryServeVo>> getCountryServeTree();
    @GetMapping("/getFormId")
    public RPCBaseResponse<BaseCountryServeVo> getFormId(@RequestParam("id")String id);
}
