package edu.travel.remote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.dto.ShopLanguageDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopLanguageVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(path = "/shopLanguage",name = "country-dev")
public interface ShopLanguageRemoteController extends RemoteBaseController<ShopLanguageVo, ShopLanguageDto> {

    //语言分页
    @GetMapping("/getLanguagePage")
    public RPCBaseResponse<IPage<ShopLanguageVo>> getLanguagePage(ShopLanguageDto shopLanguageDto);
    @GetMapping("/getFormId")
    public RPCBaseResponse<ShopLanguageVo> getFormId(@RequestParam("id") String id);

}
