package edu.travel.remote.order;

import edu.travel.remote.dto.AddOrderItemDto;
import edu.travel.remote.dto.GetOrderItemDto;
import edu.travel.remote.vo.OrderItemVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = "order-dev",path = "/shopOrderItem")
public interface ShopOrderItemRemoteController {

    /**
     *  查询订单商品详情
     * @param params
     * @return {@link RPCBaseResponse }<{@link OrderItemVo }>
     */
    @PostMapping("/getOrderItemVo")
    public RPCBaseResponse<OrderItemVo> getOrderItemVo(@RequestBody GetOrderItemDto params);

    /**
     *  新增订单商品信息
     * @param params
     * @return {@link RPCBaseResponse }<{@link Void }>
     */

    @PostMapping("/addShopOrderItem")
    RPCBaseResponse<Void> addShopOrderItem(List<AddOrderItemDto> params);
}
