package edu.travel.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 库房人员关联表
 */
@Data
public class ShopWarehouseStaffDto extends PagePO {
    /**
     * ID
     */
    private Long id;

    /**
     * 库房ID
     */
    private Long warehouseId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 角色
     */
    private Long roleId;

    /**
     * 系统标识
     */
    private String project;

    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 创建人
     */
    private String createUserId;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 更新人id
     */
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    private Integer deleteFlag;

}