package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品类型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_category")
public class ShopCategory extends BaseEntity {
    /**
     * 商品类型ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 父级分类ID(0表示顶级分类)
     */
    @TableField(value = "parent_id")
    private Long parentId;

    /**
     * 国家ID
     */
    @TableField(value = "country_id")
    private String countryId;

    /**
     * 热度值
     */
    @TableField(value = "heat_value")
    private Integer heatValue;

    /**
     * 仓库ID
     */
    @TableField(value = "warehouse_id")
    private Long warehouseId;

    /**
     * 分类名称
     */
    @TableField(value = "type_name")
    private String typeName;

    /**
     * 分类图标/封面图
     */
    @TableField(value = "image_url")
    private String imageUrl;

    /**
     * 排序权重（数值越大越靠前）
     */
    @TableField(value = "sort_order")
    private Integer sortOrder;

    /**
     * 是否启用 0 是 1否
     */
    @TableField(value = "`enable`")
    private Integer enable;

}