package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.util.List;
import java.util.Map;

import edu.travel.annotation.LinkMany;
import edu.travel.annotation.LinkOne;
import edu.travel.commodity.mapper.ShopParametersMapper;
import edu.travel.commodity.mapper.ShopProductParametersMapper;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_parameters")
public class ShopParameters extends BaseEntity {
    /**
     * 商品参数ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 商品参数名称
     */
    @TableField(value = "parameters_name")
    private String parametersName;

    /**
     * 是否是必须参数 0是 1否
     */
    @TableField(value = "is_necessary")
    private Integer isNecessary;
    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;
    /**
     * 连表shopProductParameters表
     */
    @TableField(exist = false)
    @LinkOne(linkField = "id",linkMapper = ShopProductParametersMapper.class,linkPrimaryField = "parameters_id")
    private Map<String,Object> productParametersMap;
}