package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 计件单位表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_unit")
public class ShopUnit {
    /**
     * 计件单位id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 单位名
     */
    @TableField(value = "unit_name")
    private String unitName;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 项目code
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 删除状态
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;
}