package edu.travel.commodity.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.entity.ShopProductParameters;
import edu.travel.commodity.mapper.ShopProductParametersMapper;
import edu.travel.commodity.service.ShopProductParametersService;
import edu.travel.remote.dto.InsertProductParametersDto;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

@Service
public class ShopProductParametersServiceImpl extends ServiceImpl<ShopProductParametersMapper, ShopProductParameters> implements ShopProductParametersService {

    @Override
    @Transactional
    public boolean insertProductParameters(List<InsertProductParametersDto> parameters, ShopProduct bean) {
        ArrayList<ShopProductParameters> list = new ArrayList<>();
        for (InsertProductParametersDto parameter : parameters) {
            ShopProductParameters shopProductParameters = new ShopProductParameters();
            shopProductParameters.setParametersId(Long.valueOf(parameter.getParametersId()));
            shopProductParameters.setParametersValue(parameter.getParameterName());
            shopProductParameters.setProductId(bean.getId());
            list.add(shopProductParameters);
        }
        return this.saveBatch(list);
    }
}
