package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.entity.ShopAddress;
import edu.travel.commodity.service.ShopAddressService;
import edu.travel.remote.commodity.ShopAddressRemoteController;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateAddressDto;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.remote.vo.ShopAddressVo;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import static edu.travel.rpc.RPCBaseResponse.success;

/**
* 地址表(shop_address)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopAddress")
public class ShopAddressController extends BaseController<ShopAddress> implements ShopAddressRemoteController {
/**
* 服务对象
*/
    @Autowired
    private ShopAddressService shopAddressService;

    /** 查询登录用户的地址信息
     * @param dto
     * @return {@link BaseResponse }<{@link Page }<{@link ShopAddress }>>
     */
    @GetMapping("/getShopAddress")
    public RPCBaseResponse<Page<ShopAddressVo>> getShopAddress(BaseDto dto) {
        return success(shopAddressService.getShopAddress(dto)) ;
    }

    /**
     *  新增或编辑地址
     * @param param
     * @return {@link BaseResponse }<{@link Void }>
     */
    @PostMapping("/savaOrUpdateAddressById")
    public RPCBaseResponse<Boolean> updateAddressById(@RequestBody UpdateAddressDto param) {
        return success(shopAddressService.updateAddressById(param)) ;
    }


}
