package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.entity.ShopSearchRecords;
import edu.travel.commodity.service.ShopSearchRecordsService;
import edu.travel.remote.commodity.ShopSearchRecordsRemoteController;
import edu.travel.remote.dto.SearchRecordListDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.remote.vo.SearchRecordsVo;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import static edu.travel.rpc.RPCBaseResponse.success;

/**
* 列表搜索记录表(shop_search_records)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopSearchRecords")
public class ShopSearchRecordsController extends BaseController<ShopSearchRecords> implements ShopSearchRecordsRemoteController {
/**
* 服务对象
*/
    @Autowired
    private ShopSearchRecordsService shopSearchRecordsService;


    /**
     * 清空历史搜索记录（searchType:1）
     * @return 结果
     */
    @PostMapping("/clearSearchRecord")
    public RPCBaseResponse<Void> clearProjectSearchRecords(@RequestBody SearchRecordListDto clear){
        shopSearchRecordsService.clearSearchRecords(clear);
        return success();
    }


    /**
     * 获取搜索记录列表
     * @param baseDto 参数DTO对象
     * @return 结果
     */
    @GetMapping("/searchRecordList")
    public RPCBaseResponse<Page<SearchRecordsVo>> searchRecordList(SearchRecordListDto baseDto){
        return success(shopSearchRecordsService.searchRecordList(baseDto));
    }

}
