package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.service.ShopSpecService;
import edu.travel.remote.commodity.ShopSpecRemoteController;
import edu.travel.remote.dto.SpecDto;
import edu.travel.remote.vo.SpecVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import static edu.travel.rpc.RPCBaseResponse.success;

/**
* 规格表(shop_spec)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopSpec")
public class ShopSpecController implements ShopSpecRemoteController {
/**
* 服务对象
*/
    @Autowired
    private ShopSpecService shopSpecService;


    /**
     *  分页查询规格
     * @param currentPage
     * @param pageSize
     * @return {@link RPCBaseResponse }<{@link Page }<{@link SpecVo }>>
     */

    @GetMapping("/getShopSpec")
    public RPCBaseResponse<Page<SpecVo>> getShopSpec(@RequestParam("countryId")Long countryId, @RequestParam("currentPage")Integer currentPage,@RequestParam("pgeSize")Integer pageSize){
        return success(shopSpecService.getShopSpec(countryId,currentPage,pageSize));
    }

    /**
     *  修改/新增规格
     * @return {@link RPCBaseResponse }<{@link Page }<{@link SpecVo }>>
     */

    @PostMapping("/insertOrUpdate")
    public RPCBaseResponse<Page<SpecVo>> insertOrUpdate(@RequestBody SpecDto specDto){
        shopSpecService.insertOrUpdate(specDto);
        return success();
    }
}
