package edu.travel.education.dto;

/**
 * AddHappyEntryDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/3/5
 */


import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 开心中文报名表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddHappyEntryDto {

    /**
     * 姓
     */
    @NotNull(message = "姓不能为空")
    private String surname;

    /**
     * 名
     */
    @NotNull(message = "名不能为空")
    private String name;

    /**
     * 电话号码
     */
    @NotNull(message = "电话号码不能为空")
    private String phone;

    /**
     * 国家区号
     */
    @NotNull(message = "国家区号不能为空")
    private String areaCode;

    /**
     * 课程类型
     */
    @NotNull(message = "课程类型不能为空")
    private Integer courseType;

    /**
     * 最小年龄
     */
    @NotNull(message = "最小年龄不能为空")
    private Integer minAge;

    /**
     * 最大年龄
     */
    @NotNull(message = "最大年龄不能为空")
    private Integer maxAge;

    /**
     * 邮箱
     */
    @NotNull(message = "邮箱不能为空")
    private String email;

    /**
     * 项目code
     */
//    @NotNull(message = "项目code不能为空")
    private String project;

    /**
     * 所属国家id
     */
    @NotNull(message = "所属国家不能为空")
    private Long countryId;
}
