package edu.travel.education.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import edu.travel.annotation.LinkConst;
import edu.travel.annotation.LinkOne;
//import edu.travel.country.mapper.BaseCountryMapper;
import edu.travel.education.entity.dict.CourseTypeDict;
import edu.travel.po.PagePO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.Map;

/**
 * 开心中文报名表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HappyEntryVo extends PagePO {
    /**
    * 主键id
    */
    private String id;

    /**
    * 姓
    */
    private String surname;

    /**
    * 名
    */
    private String name;

    /**
    * 电话号码
    */
    private String phone;

    /**
    * 国家区号
    */
    private String areaCode;

    /**
     * 所属国家
     */
    private String countryId;

    /**
    * 课程类型
    */
    private Integer courseType;

    /**
     * 最小年龄
     */
    private Integer minAge;

    /**
     * 最大年龄
     */
    private Integer maxAge;

    /**
     * 邮箱
     */
    private String email;
    /**
     * 课程类型字典
     */
    @TableField(exist = false)
    @LinkConst(fieldName = "courseType",clazz = CourseTypeDict.class)
    private Map CodeCourseTypeDict;

    /**
     * 所属国家
     */
    @TableField(exist = false)
//    @LinkOne(linkField="countryId",linkMapper= BaseCountryMapper.class,linkPrimaryField="id")
    private Map CodeCountryNameDict;

}