package edu.travel.tenant.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

import edu.travel.annotation.LinkConst;
import edu.travel.entity.BaseEntity;
import edu.travel.tenant.entity.dict.IsCacheDict;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 菜单附加信息表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "sys_menu_extra_data")
public class SysMenuExtraData extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 菜单id
     */
    @TableField(value = "menu_id")
    private Long menuId;

    /**
     * 菜单图标名称
     */
    @TableField(value = "icon")
    private String icon;

    /**
     * 菜单显示名称
     */
    @TableField(value = "title")
    private String title;

    /**
     * 是否缓存 0不缓存 1缓存
     */
    @TableField(value = "no_cache")
    private Boolean noCache;

    /**
     * 是否缓存字典
     */
    @TableField(exist = false)
    @LinkConst(fieldName = "noCache",clazz = IsCacheDict.class)
    private Map codeIsCacheDict;

}