package edu.travel.ws.config;

import edu.travel.ws.handle.TravelMessageHandler;
import edu.travel.ws.interceptor.SystemMessageInterceptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@Configuration
@EnableWebSocket
public class WebSocketAutoConfig implements WebSocketConfigurer {

    @Autowired
    private ApplicationContext applicationContext;

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(new TravelMessageHandler(applicationContext), "/system/message")
                .addInterceptors(new SystemMessageInterceptor(applicationContext))
                .setAllowedOrigins("*");
    }
}
